Subject: Should "N/A" dust bunnies be swept from fw_version?

From: Rick Jones <[email-masked]>
Date: Thu, 17 Nov 2011 15:27:09 -0800

In the discussion on "enable virtio_net to return bus_info in ethtool -i 
consistent with emulated NICs" Ben Hutchings had the following feedback 
on what might go into bus_info:

> Please use the existing 'not implemented' value, which is the empty
> string.   If you think ethtool should print some helpful message instead
> of an empty string, please submit a patch for ethtool.

When I was sweeping in the .get_drvinfo routines, I noticed many drivers 
would return "N/A" for fw_version - presumably they were drivers for 
cards without firmware.  Should those be removed to have the fw_version 
be the empty string, or should those sleeping dust bunnies be allowed to 
lie?

rick jones